Add rabbitmq kombu releated parameters

Bug #1748353 reported by zhongshengping on 2018-02-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Undecided
zhongshengping
puppet-barbican
Undecided
zhongshengping
puppet-ceilometer
Undecided
zhongshengping
puppet-cinder
Undecided
zhongshengping
puppet-congress
Undecided
zhongshengping
puppet-designate
Undecided
zhongshengping
puppet-glance
Undecided
zhongshengping
puppet-ironic
Undecided
zhongshengping
puppet-magnum
Undecided
zhongshengping
puppet-manila
Undecided
zhongshengping
puppet-mistral
Undecided
zhongshengping
puppet-nova
Undecided
zhongshengping
puppet-octavia
Undecided
zhongshengping
puppet-tacker
Undecided
zhongshengping
puppet-trove
Undecided
zhongshengping
puppet-vitrage
Undecided
zhongshengping

Bug Description

Add rabbitmq kombu releated parameters to configure

zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-aodh:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/542599

Changed in puppet-aodh:
status: New → In Progress
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-barbican:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-ceilometer:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-cinder:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-congress:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-designate:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/542615

Changed in puppet-cinder:
status: New → In Progress
Changed in puppet-ceilometer:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542616

Changed in puppet-congress:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542617

Changed in puppet-barbican:
status: New → In Progress
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-glance:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/542622

Changed in puppet-designate:
status: New → In Progress
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-ironic:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-magnum:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-mistral:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-nova:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-octavia:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-tacker:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-trove:
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-02-09
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/542664

Changed in puppet-ironic:
status: New → In Progress
Changed in puppet-vitrage:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542665

Changed in puppet-manila:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542666

Changed in puppet-magnum:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542667

Changed in puppet-glance:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542668

Changed in puppet-mistral:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542669

Changed in puppet-tacker:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542670

Changed in puppet-trove:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542671

Changed in puppet-octavia:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/542672

Changed in puppet-nova:
status: New → In Progress

Reviewed: https://review.openstack.org/542664
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=61a4bb876064f19786a1af59d9f358c16912a115
Submitter: Zuul
Branch: master

commit 61a4bb876064f19786a1af59d9f358c16912a115
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:38:17 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ie6f1028f351fdd7a0b6608b6c9a6672d04bdbddc
    Closes-Bug: #1748353

Changed in puppet-ironic:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542617
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=12815da5bd3cec1e950312acb8de8e2f6582f5bf
Submitter: Zuul
Branch: master

commit 12815da5bd3cec1e950312acb8de8e2f6582f5bf
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:17:17 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I6362858759b3af0e350ac52ffe4f89bba59526fb
    Closes-Bug: #1748353

Changed in puppet-congress:
status: In Progress → Fix Released
Changed in puppet-magnum:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542667
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=a2233bdb21207534d1d221ff1c5d7951696c3a40
Submitter: Zuul
Branch: master

commit a2233bdb21207534d1d221ff1c5d7951696c3a40
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:43:14 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Icee91fe364967a443606d0287f58d06abc31f9fd
    Closes-Bug: #1748353

Reviewed: https://review.openstack.org/542670
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=dc35c19a7606eb2d2d202b2f47357c7700de2100
Submitter: Zuul
Branch: master

commit dc35c19a7606eb2d2d202b2f47357c7700de2100
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 15:00:14 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id271638ec6793a8854769b9617ed48e907819228
    Closes-Bug: #1748353

Changed in puppet-tacker:
status: In Progress → Fix Released
Changed in puppet-octavia:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542672
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=f0068d143b94002ecf6f9b6a568fdf4b05a7da6c
Submitter: Zuul
Branch: master

commit f0068d143b94002ecf6f9b6a568fdf4b05a7da6c
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:56:06 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ia0512a8f9b3248127b9c2ee96821e4d793ae6523
    Closes-Bug: #1748353

Reviewed: https://review.openstack.org/542616
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=a5b9a060eb57d9fd345b33c90d43205e9814e8f3
Submitter: Zuul
Branch: master

commit a5b9a060eb57d9fd345b33c90d43205e9814e8f3
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:09:58 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ieb0b4c62e8e7b00b4f73ca793298fbf052b6fdb9
    Closes-Bug: #1748353

Changed in puppet-ceilometer:
status: In Progress → Fix Released
Changed in puppet-aodh:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542599
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=7c8720ede864097e733471ff968ca37ac236b2ce
Submitter: Zuul
Branch: master

commit 7c8720ede864097e733471ff968ca37ac236b2ce
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 12:03:09 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I8c44d54bdefc22bd30d0bc35486354b09611680a
    Closes-Bug: #1748353

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542618
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=80b2b56169eda06f68b42adba15095e7cf07c2ce
Submitter: Zuul
Branch: master

commit 80b2b56169eda06f68b42adba15095e7cf07c2ce
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:02:05 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I450966c0fc782671c51b8560c162a172f5f315ba
    Closes-Bug: #1748353

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542666
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=dd721c2e252a5e9464aa17169b859045fdb199e8
Submitter: Zuul
Branch: master

commit dd721c2e252a5e9464aa17169b859045fdb199e8
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:46:35 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I2ec87a9649143548847c46110ef1ad9353a71feb
    Closes-Bug: #1748353

Changed in puppet-mistral:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542669
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=46b60d02fac0f2c4742c447fc560a7e59a97a208
Submitter: Zuul
Branch: master

commit 46b60d02fac0f2c4742c447fc560a7e59a97a208
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:49:26 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I904e0bb50c12f94a21ad006c3435d94f0104ecf8
    Closes-Bug: #1748353

Reviewed: https://review.openstack.org/542615
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=6362185f5c93c67fdaedd1ef94a6b776e4adbbc6
Submitter: Zuul
Branch: master

commit 6362185f5c93c67fdaedd1ef94a6b776e4adbbc6
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:13:04 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I027e9f4da58e290065ae048800d358114b69b63f
    Closes-Bug: #1748353

Changed in puppet-cinder:
status: In Progress → Fix Released
Changed in puppet-designate:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542622
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=15265bd46f6db2816bc99ec29275e7345644484e
Submitter: Zuul
Branch: master

commit 15265bd46f6db2816bc99ec29275e7345644484e
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:21:53 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ia08af6da0976697d65bcc1b55b857b0f4a5742bc
    Closes-Bug: #1748353

Reviewed: https://review.openstack.org/542665
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=f647323eda384fbc42b0e3fe2ec03f9ac122e7b2
Submitter: Zuul
Branch: master

commit f647323eda384fbc42b0e3fe2ec03f9ac122e7b2
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 15:11:22 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I4556053733b57d806294119d3ec2361428011565
    Closes-Bug: #1748353

Changed in puppet-vitrage:
status: In Progress → Fix Released
Changed in puppet-trove:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542671
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=ccf6a66e1f2f5d98caa42c4574e5629dbd971336
Submitter: Zuul
Branch: master

commit ccf6a66e1f2f5d98caa42c4574e5629dbd971336
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 15:05:28 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: If59b301e533a509051876ed88f410c5101425ec2
    Closes-Bug: #1748353

Reviewed: https://review.openstack.org/542668
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=5e12d373339c76b9c0c0e24d854770693a999b1d
Submitter: Zuul
Branch: master

commit 5e12d373339c76b9c0c0e24d854770693a999b1d
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:30:58 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id360da722f4bacab3835ab8b48d4de95df700736
    Closes-Bug: #1748353

Changed in puppet-glance:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/542673
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=cc53f1f9e3ab00f5f4a76d8dd57dcf7fb2708c29
Submitter: Zuul
Branch: master

commit cc53f1f9e3ab00f5f4a76d8dd57dcf7fb2708c29
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:53:18 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id48e371c02e19c0e4ba193a61a2e15e74ffeba8f
    Closes-Bug: #1748353

Changed in puppet-nova:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-aodh 12.3.0 release.

This issue was fixed in the openstack/puppet-barbican 12.3.0 release.

This issue was fixed in the openstack/puppet-ceilometer 12.4.0 release.

This issue was fixed in the openstack/puppet-cinder 12.3.0 release.

This issue was fixed in the openstack/puppet-congress 12.3.0 release.

This issue was fixed in the openstack/puppet-designate 12.3.0 release.

This issue was fixed in the openstack/puppet-glance 12.4.0 release.

This issue was fixed in the openstack/puppet-ironic 12.3.0 release.

This issue was fixed in the openstack/puppet-magnum 12.2.0 release.

This issue was fixed in the openstack/puppet-manila 12.3.0 release.

This issue was fixed in the openstack/puppet-mistral 12.3.0 release.

This issue was fixed in the openstack/puppet-nova 12.3.0 release.

This issue was fixed in the openstack/puppet-octavia 12.3.0 release.

This issue was fixed in the openstack/puppet-tacker 12.3.0 release.

This issue was fixed in the openstack/puppet-trove 12.3.0 release.

This issue was fixed in the openstack/puppet-vitrage 2.3.0 release.

Reviewed: https://review.openstack.org/550895
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=0b808ec72893b774f5fa1e2f5993af2569a4042b
Submitter: Zuul
Branch: stable/pike

commit 0b808ec72893b774f5fa1e2f5993af2569a4042b
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:43:14 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Icee91fe364967a443606d0287f58d06abc31f9fd
    Closes-Bug: #1748353
    (cherry picked from commit a2233bdb21207534d1d221ff1c5d7951696c3a40)

tags: added: in-stable-pike

Reviewed: https://review.openstack.org/550892
Committed: https://git.openstack.org/cgit/openstack/puppet-congress/commit/?id=99bc4111bbf5e56fdfc43aa8b62f5c6ddf1f5234
Submitter: Zuul
Branch: stable/pike

commit 99bc4111bbf5e56fdfc43aa8b62f5c6ddf1f5234
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:17:17 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I6362858759b3af0e350ac52ffe4f89bba59526fb
    Closes-Bug: #1748353
    (cherry picked from commit 12815da5bd3cec1e950312acb8de8e2f6582f5bf)

Reviewed: https://review.openstack.org/550894
Committed: https://git.openstack.org/cgit/openstack/puppet-octavia/commit/?id=859efcfad7dacb2968c74e78d19fda80c0341f7a
Submitter: Zuul
Branch: stable/pike

commit 859efcfad7dacb2968c74e78d19fda80c0341f7a
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:56:06 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ia0512a8f9b3248127b9c2ee96821e4d793ae6523
    Closes-Bug: #1748353
    (cherry picked from commit f0068d143b94002ecf6f9b6a568fdf4b05a7da6c)

Reviewed: https://review.openstack.org/550893
Committed: https://git.openstack.org/cgit/openstack/puppet-tacker/commit/?id=059bff68110f1cbf920d5910a7092528e6382419
Submitter: Zuul
Branch: stable/pike

commit 059bff68110f1cbf920d5910a7092528e6382419
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 15:00:14 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id271638ec6793a8854769b9617ed48e907819228
    Closes-Bug: #1748353
    (cherry picked from commit dc35c19a7606eb2d2d202b2f47357c7700de2100)

Reviewed: https://review.openstack.org/550900
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=c42483d5caf7f815968c6c5ce2594a055ddd399f
Submitter: Zuul
Branch: stable/pike

commit c42483d5caf7f815968c6c5ce2594a055ddd399f
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:46:35 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I2ec87a9649143548847c46110ef1ad9353a71feb
    Closes-Bug: #1748353
    (cherry picked from commit dd721c2e252a5e9464aa17169b859045fdb199e8)

Reviewed: https://review.openstack.org/550906
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=fc611578274cd23b9c5bb95b919da54365424ce3
Submitter: Zuul
Branch: stable/pike

commit fc611578274cd23b9c5bb95b919da54365424ce3
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:38:17 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ie6f1028f351fdd7a0b6608b6c9a6672d04bdbddc
    Closes-Bug: #1748353
    (cherry picked from commit 61a4bb876064f19786a1af59d9f358c16912a115)

Reviewed: https://review.openstack.org/550897
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=77b54fc630b0e9479fa6891ef5a54472c8d38ffd
Submitter: Zuul
Branch: stable/pike

commit 77b54fc630b0e9479fa6891ef5a54472c8d38ffd
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 12:03:09 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I8c44d54bdefc22bd30d0bc35486354b09611680a
    Closes-Bug: #1748353
    (cherry picked from commit 7c8720ede864097e733471ff968ca37ac236b2ce)

Reviewed: https://review.openstack.org/550901
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=728f96a58cec43aa9202def9a99de9bcb36dbda3
Submitter: Zuul
Branch: stable/pike

commit 728f96a58cec43aa9202def9a99de9bcb36dbda3
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:49:26 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I904e0bb50c12f94a21ad006c3435d94f0104ecf8
    Closes-Bug: #1748353
    (cherry picked from commit 46b60d02fac0f2c4742c447fc560a7e59a97a208)

Reviewed: https://review.openstack.org/550891
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=cb2881dfa0a241279e9db77084130cad06c302b1
Submitter: Zuul
Branch: stable/pike

commit cb2881dfa0a241279e9db77084130cad06c302b1
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:53:18 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id48e371c02e19c0e4ba193a61a2e15e74ffeba8f
    Closes-Bug: #1748353
    (cherry picked from commit cc53f1f9e3ab00f5f4a76d8dd57dcf7fb2708c29)

Reviewed: https://review.openstack.org/550903
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=37ab0f184ca76315c534f5d7a894b9ed952e1b8c
Submitter: Zuul
Branch: stable/pike

commit 37ab0f184ca76315c534f5d7a894b9ed952e1b8c
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 15:05:28 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: If59b301e533a509051876ed88f410c5101425ec2
    Closes-Bug: #1748353
    (cherry picked from commit ccf6a66e1f2f5d98caa42c4574e5629dbd971336)

Reviewed: https://review.openstack.org/550902
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=7f22337172bdee771721244a8c30b48bfe9401fd
Submitter: Zuul
Branch: stable/pike

commit 7f22337172bdee771721244a8c30b48bfe9401fd
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:13:04 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I027e9f4da58e290065ae048800d358114b69b63f
    Closes-Bug: #1748353
    (cherry picked from commit 6362185f5c93c67fdaedd1ef94a6b776e4adbbc6)

Reviewed: https://review.openstack.org/550896
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=8cbf82beaff5a4a6456b6cc8280c1ab4b4887fe9
Submitter: Zuul
Branch: stable/pike

commit 8cbf82beaff5a4a6456b6cc8280c1ab4b4887fe9
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:09:58 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Ieb0b4c62e8e7b00b4f73ca793298fbf052b6fdb9
    Closes-Bug: #1748353
    (cherry picked from commit a5b9a060eb57d9fd345b33c90d43205e9814e8f3)

Reviewed: https://review.openstack.org/550904
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=03bd9b87ffc1f06ae00806288ec7054fe336b55a
Submitter: Zuul
Branch: stable/pike

commit 03bd9b87ffc1f06ae00806288ec7054fe336b55a
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:30:58 2018 +0800

    Add kombu_failover_strategy option

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: Id360da722f4bacab3835ab8b48d4de95df700736
    Closes-Bug: #1748353
    (cherry picked from commit 5e12d373339c76b9c0c0e24d854770693a999b1d)

zhongshengping (chdzsp) on 2018-03-10
Changed in puppet-barbican:
assignee: zhongshengping (chdzsp) → nobody
assignee: nobody → zhongshengping (chdzsp)
zhongshengping (chdzsp) on 2018-03-11
Changed in puppet-barbican:
status: Fix Released → New
status: New → Fix Released
Changed in puppet-ceilometer:
status: Fix Released → New
zhongshengping (chdzsp) on 2018-03-12
Changed in puppet-ceilometer:
status: New → Fix Released
no longer affects: puppet-aodh/mitaka
no longer affects: puppet-aodh/newton

Reviewed: https://review.openstack.org/550898
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=884c976889a0b14c2a76723d49fc6e54806228c6
Submitter: Zuul
Branch: stable/pike

commit 884c976889a0b14c2a76723d49fc6e54806228c6
Author: ZhongShengping <chdzsp@163.com>
Date: Fri Feb 9 14:02:05 2018 +0800

    Add some kombu options

    Adds the kombu_failover_strategy option for configuring
    oslo.messaging.rabbit. This will determines how the next RabbitMQ node
    is chosen in case the one we are currently connected to becomes
    unavailable.

    Change-Id: I450966c0fc782671c51b8560c162a172f5f315ba
    Closes-Bug: #1748353
    (cherry picked from commit 80b2b56169eda06f68b42adba15095e7cf07c2ce)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers